import type { _NSData } from "./NSData.js";
import type { _NSError } from "./NSError.js";
import type { _NSInputStream } from "./NSInputStream.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSSet } from "./NSSet.js";
import type { _NSString } from "./NSString.js";
import type { _NSURL } from "./NSURL.js";
import type { _NSXMLParserDelegate } from "./NSXMLParserDelegate.js";
import type { NSXMLParserExternalEntityResolvingPolicy } from "./NSXMLParserExternalEntityResolvingPolicy.js";
export declare class _NSXMLParser extends _NSObject {
    static alloc(): _NSXMLParser;
    static new(): _NSXMLParser;
    init(): _NSXMLParser;
    /** initializes the parser with the specified URL. */
    initWithContentsOfURL$(url: _NSURL): _NSXMLParser | null;
    /** create the parser from data */
    initWithData$(data: _NSData): _NSXMLParser;
    /**
     * create a parser that incrementally pulls data from the specified stream and parses it.
     */
    initWithStream$(stream: _NSInputStream): _NSXMLParser;
    /**
     * called to start the event-driven parse. Returns YES in the event of a successful parse, and NO in case of error.
     */
    parse(): boolean;
    /**
     * called by the delegate to stop the parse. The delegate will get an error message sent to it.
     */
    abortParsing(): void;
    /** delegate management. The delegate is not retained. */
    delegate(): _NSXMLParserDelegate | null;
    setDelegate$(value: _NSXMLParserDelegate | null): void;
    shouldProcessNamespaces(): boolean;
    setShouldProcessNamespaces$(value: boolean): void;
    shouldReportNamespacePrefixes(): boolean;
    setShouldReportNamespacePrefixes$(value: boolean): void;
    /** defaults to NSXMLNodeLoadExternalEntitiesNever */
    externalEntityResolvingPolicy(): NSXMLParserExternalEntityResolvingPolicy;
    setExternalEntityResolvingPolicy$(value: NSXMLParserExternalEntityResolvingPolicy): void;
    allowedExternalEntityURLs(): _NSSet | null;
    setAllowedExternalEntityURLs$(value: _NSSet | null): void;
    /** can be called after a parse is over to determine parser state. */
    parserError(): _NSError | null;
    /**
     * Toggles between disabling external entities entirely, and the current setting of the 'externalEntityResolvingPolicy'. The 'externalEntityResolvingPolicy' property should be used instead of this, unless targeting 10.9/7.0 or earlier
     */
    shouldResolveExternalEntities(): boolean;
    setShouldResolveExternalEntities$(value: boolean): void;
    publicID(): _NSString | null;
    systemID(): _NSString | null;
    lineNumber(): number;
    columnNumber(): number;
}
